import { AbstractPowerSyncDatabase, AbstractStreamingSyncImplementation, PowerSyncBackendConnector, BucketStorageAdapter, PowerSyncDatabaseOptions } from '@journeyapps/powersync-sdk-common';
export interface WebPowerSyncFlags {
    /**
     * Enables multi tab support
     */
    enableMultiTabs?: boolean;
    /**
     * Open in SSR placeholder mode. DB operations and Sync operations will be a No-op
     */
    ssrMode?: boolean;
}
export interface WebPowerSyncDatabaseOptions extends PowerSyncDatabaseOptions {
    flags?: WebPowerSyncFlags;
}
export declare class PowerSyncDatabase extends AbstractPowerSyncDatabase {
    protected options: WebPowerSyncDatabaseOptions;
    constructor(options: WebPowerSyncDatabaseOptions);
    _initialize(): Promise<void>;
    protected generateBucketStorageAdapter(): BucketStorageAdapter;
    protected generateSyncStreamImplementation(connector: PowerSyncBackendConnector): AbstractStreamingSyncImplementation;
}
